Bug 68728 - problems with newt-based applications in utf-8
problems with newt-based applications in utf-8
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: newt (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Aaron Brown
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-12 18:00 EDT by Leonid Kanter
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-27 13:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mouseconfig in gnome-terminal (the same on text console) (47.96 KB, image/png)
2002-07-12 18:02 EDT, Leonid Kanter
no flags Details

  None (edit)
Description Leonid Kanter 2002-07-12 18:00:52 EDT
Description of Problem:

newt is unable to calculate widget size if locale charmap is utf-8 and
non-english interface (2-byte characters) is in use

Version-Release number of selected component (if applicable):

newt-0.50.39-1

How Reproducible:

always

Steps to Reproduce:
1. set LANG=ru_RU.UTF-8
2. start mouseconfig


Actual Results:

display is broken

Expected Results:

must look like in ru_RU.KOI8-R (RHL 7.3)
Comment 1 Leonid Kanter 2002-07-12 18:02:08 EDT
Created attachment 65188 [details]
mouseconfig in gnome-terminal (the same on text console)
Comment 2 Leonid Kanter 2002-07-12 18:05:45 EDT
as you see, newt reserves dual space for strings on buttons (it counts bytes,
not characters) and for items in list. As a result, upper list widget doesn't
fit terminal size.
Comment 3 Matt Wilson 2002-12-27 13:48:55 EST
Fixed in phoebe

Note You need to log in before you can comment on or make changes to this bug.